using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.BusinessLogicsContracts.OperatorBusinessLogicsContracts;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;

namespace TravelCompanyBusinessLogic.BusinessLogic.OperatorLogics
{
    public interface ILoadLogic
    {
        List<TourBindingModel> LoadToursFromJson(string jsonFilePath);

        List<GuideBindingModel> LoadGuidesFromJson(string jsonFilePath);
        List<OperatorBindingModel> LoadOperatorsFromJson(string jsonFilePath);

        public void LoadFromJson();
    }
}
